GeminiGemini
SandboxGet API key
  • Crypto Trading
  • Prediction Markets
Changelog
Gemini Crypto Exchange LogoGemini Crypto Exchange Logo

© 2026 Gemini Space Station, Inc.

Wrap Order

REST APIsTradingOrdersWrap Order

Wrap Order

POSThttps://api.gemini.com/v1/wrap/{symbol}

Place a wrap or unwrap order for a supported symbol.

POSTv1/wrap/GUSDUSD
curl --request POST \
  --url https://api.gemini.com/v1/wrap/GUSDUSD \
  --header 'Content-Type: application/json' \
  --header 'X-GEMINI-APIKEY: <string>' \
  --header 'X-GEMINI-PAYLOAD: <string>' \
  --header 'X-GEMINI-SIGNATURE: <string>' \
  --data '
{
  "request": "/v1/wrap/GUSDUSD",
  "nonce": "<nonce>",
  "amount": "1",
  "side": "buy",
  "client_order_id": "4ac6f45f-baf1-40f8-83c5-001e3ea73c7f"
}
'

Roles

The API key you use to access this endpoint must have the Trader role assigned. See Roles for more information.

The OAuth scope must have orders:create assigned to access this endpoint. See OAuth Scopes for more information.

Headers

X-GEMINI-APIKEYstring·required
Your API key
X-GEMINI-SIGNATUREstring·required
HEX-encoded HMAC-SHA384 of payload signed with API secret
X-GEMINI-PAYLOADstring·required
Base64-encoded JSON payload
Content-Typestring
Default: text/plain
Content-Lengthstring
Default: 0
Cache-Controlstring
Default: no-cache

Request Body

requeststring·required
The literal string "/v1/wrap/symbol"
nonceinteger·required
timestampExample: 1495127793000
amountstring·required
The amount to wrap
sidestring·enum
"buy" or "sell"Enum values: buysell
client_order_idstring
A client-specified order id
accountstring
Required for Master API keys. The name of the account within the subaccount group.
Example request body
{
  "request": "/v1/wrap/GUSDUSD",
  "nonce": "<nonce>",
  "amount": "1",
  "side": "buy",
  "client_order_id": "4ac6f45f-baf1-40f8-83c5-001e3ea73c7f"
}

Responses

Successful operation

orderIdstring
The order ID
pairstring
Trading pair symbol
pricestring
The price of the order
priceCurrencystring
The currency in which the order is priced
sidestring
Either "buy" or "sell"
quantitystring
The amount that was executed
quantityCurrencystring
The currency label for the quantity field
totalSpendstring
Total quantity spent for the order
totalSpendCurrencystring
Currency of the totalSpend
feestring
The amount charged
feeCurrencystring
Currency that the fee was paid in
depositFeestring
The deposit fee quantity
depositFeeCurrencystring
Currency in which depositFee is taken
Example Responses
{
  "orderId": 429135395,
  "pair": "GUSDUSD",
  "price": "1",
  "priceCurrency": "USD",
  "side": "buy",
  "quantity": "1",
  "quantityCurrency": "GUSD",
  "totalSpend": "1",
  "totalSpendCurrency": "USD",
  "fee": "0",
  "feeCurrency": "USD",
  "depositFee": "0",
  "depositFeeCurrency": "USD"
}
PreviousGet Notional Trading VolumeNextMarket Data
Last modified on May 5, 2026